import { CommitInfo } from ".";
import { GitlabApiClientBase } from "../GitlabApiClientBase/gitlabApiClientBase";
import { PipelineSearchOptions } from "../Pipeline";
import { Pipeline } from "../Pipeline/pipeline";
import { GitlabOptions } from "../Gitlab";
export interface Commit extends CommitInfo {
}
export declare class Commit extends GitlabApiClientBase {
    private projectId;
    private branchName?;
    constructor(commitInfo: CommitInfo, options: Required<GitlabOptions>, projectId: number, branchName?: string | undefined);
    findPipelines(searchOptions?: PipelineSearchOptions): Promise<Pipeline[]>;
    revert(): Promise<Commit>;
}
