"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.File = void 0;
const GitlabApiClientBase_1 = require("../GitlabApiClientBase");
const gitlabApiClientBase_1 = require("../GitlabApiClientBase/gitlabApiClientBase");
class File extends gitlabApiClientBase_1.GitlabApiClientBase {
    constructor(fileInfo, options, projectId, ref) {
        super(options);
        this.projectId = projectId;
        this.ref = ref;
        this.projectId = projectId;
        this.ref = ref;
        Object.assign(this, fileInfo);
    }
    getBlame() {
        return __awaiter(this, void 0, void 0, function* () {
            const { data } = yield this.CallGitlabApi({
                endpoint: `/projects/${this.projectId}/repository/files/${this.file_path}/blame`,
                method: GitlabApiClientBase_1.Methods.GET,
                expectedStatusCode: 200,
                params: {
                    ref: this.ref,
                },
            });
            return data;
        });
    }
}
exports.File = File;
