import { GroupInfo } from ".";
import { GitlabApiClientBase } from "../GitlabApiClientBase/gitlabApiClientBase";
import { ProjectSearchOptions } from "../Project";
import { Project } from "../Project/project";
import { GitlabOptions } from "../Gitlab";
export interface Group extends GroupInfo {
}
export declare class Group extends GitlabApiClientBase {
    constructor(groupInfo: GroupInfo, options: Required<GitlabOptions>);
    findProjects(searchOptions?: ProjectSearchOptions): Promise<Project[]>;
    delete(): Promise<void>;
}
