import { PipelineInfo } from ".";
import { GitlabApiClientBase } from "../GitlabApiClientBase/gitlabApiClientBase";
import { Job } from "../Job/job";
import { GitlabOptions } from "../Gitlab";
import { JobSearchOptions } from "../Job";
export interface Pipeline extends PipelineInfo {
}
export declare class Pipeline extends GitlabApiClientBase {
    constructor(pipelineInfo: PipelineInfo, options: Required<GitlabOptions>);
    findJobs(searchOptions?: JobSearchOptions): Promise<Job[]>;
    retry(): Promise<Pipeline>;
    cancel(): Promise<void>;
    delete(): Promise<void>;
}
