"use strict";
/* eslint @typescript-eslint/no-explicit-any : 0 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeKey = exports.removeUndefinedKeys = exports.getOptions = void 0;
function getOptions(options, defaults) {
    return Object.keys(defaults).reduce((acc, key) => (Object.assign(Object.assign({}, acc), { [key]: options[key] || defaults[key] })), {});
}
exports.getOptions = getOptions;
function removeUndefinedKeys(obj) {
    Object.keys(obj).forEach((key) => obj[key] === undefined && delete obj[key]);
    return obj;
}
exports.removeUndefinedKeys = removeUndefinedKeys;
function removeKey(obj, key) {
    const _a = obj, _b = key, _ = _a[_b], rest = __rest(_a, [typeof _b === "symbol" ? _b : _b + ""]);
    _;
    return rest;
}
exports.removeKey = removeKey;
