import { FileInfo, GitlabCommitInfo } from ".";
import { GitlabApiClientBase } from "../GitlabApiClientBase/gitlabApiClientBase";
import { GitlabOptions } from "../Gitlab";
export interface File extends FileInfo {
}
export declare class File extends GitlabApiClientBase {
    private projectId;
    ref: string;
    constructor(fileInfo: FileInfo, options: Required<GitlabOptions>, projectId: number, ref: string);
    getBlame(): Promise<GitlabCommitInfo[]>;
}
