export declare function getOptions<T extends {
    [key: string]: any;
}>(options: Partial<T>, defaults: T): Required<T>;
export declare function removeUndefinedKeys(obj: {
    [key: string]: any;
}): {
    [key: string]: any;
};
export declare function removeKey<T extends object, K extends keyof T>(obj: T, key: K): Omit<T, K>;
